/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Copyright (C) Yeico S. A. de C. V.
 * xlsLib -- A multiplatform, C++ library for dynamic generation of Excel (TM) 
 * files.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *  
 * $Source: /cvsroot/xlslib/xlslib/src/xlslib/index.h,v $
 * $Revision: 1.1.1.1 $
 * $Author: darioglz $
 * $Date: 2004/08/27 16:31:46 $
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 * File description:
 *
 *
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */


#ifndef INDEX_H
#define INDEX_H

#include <config.h>
#include "common.h"
#include "record.h"

namespace xlslib_core
{

  /* 
******************************
CIndex class declaration
******************************
*/
#define INDEX_DFLT_RESERVED ((unsigned32_t)0x00000000)

#define INDEX_OFFSET_B7FIRSTROW ((unsigned32_t)8)
#define INDEX_OFFSET_B7LASTROW  ((unsigned32_t)10)
#define INDEX_OFFSET_B8FIRSTROW ((unsigned32_t)8)
#define INDEX_OFFSET_B8LASTROW  ((unsigned32_t)12)

  class CIndex: public CRecord
    {
    private:
      unsigned16_t m_BiffVersion;

    public:

      CIndex(unsigned32_t firstrow, 
             unsigned32_t lastrow,
             unsigned16_t biffversion = VERSION_BIFF57);
      ~CIndex();
      void AddDBCellOffset(unsigned32_t dbcoffset);
      void SetRows(unsigned32_t firstrow, unsigned32_t lastrow);
      unsigned32_t GetFirstRow(void);
      unsigned32_t GetLastRow(void);

    };

}
#endif //INDEX_H

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * $Log: index.h,v $
 * Revision 1.1.1.1  2004/08/27 16:31:46  darioglz
 * Initial Import.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

